unit Al_Htm;

interface

uses
  SysUtils,classes,Windows;

procedure HtmImage(Var aTextFile: TextFile; aImage : String);
procedure HtmLabelVet(Var aTextFile: TextFile; aLabel : String);
procedure HtmLabelXL(Var aTextFile: TextFile; aLabel : String);
procedure HtmLabel(Var aTextFile: TextFile; aLabel : String);
procedure HtmTabel(Var aTextFile: TextFile);
procedure HtmTabelZ(Var aTextFile: TextFile);
procedure HtmEindeTabel(Var aTextFile: TextFile);
procedure HtmTabelKopText(Var aTextFile: TextFile; aText : String);
procedure HtmTabelKopTextVet(Var aTextFile: TextFile; aText : String);
procedure HtmTabelKopTextVetR(Var aTextFile: TextFile; aText : String);
procedure HtmTabelKopTextPlusImage(Var aTextFile: TextFile; aLabel : String; aImage : String);
procedure HtmTabelKopTextA(Var aTextFile: TextFile; aText : String);
procedure HtmTabelText(Var aTextFile: TextFile; aText : String);
procedure HtmTabelTextR(Var aTextFile: TextFile; aText : String);
procedure HtmLijn(Var aTextFile: TextFile);
procedure HtmLegeRegel(Var aTextFile: TextFile);
procedure HtmTabelKopTextR(Var aTextFile: TextFile; aText : String);
procedure HtmTabelTextN(Var aTextFile: TextFile);
procedure HtmTabelTextRV(Var aTextFile: TextFile; aText : String);
procedure HtmTabelTextVet(Var aTextFile: TextFile; aText : String);

implementation

procedure HtmImage(Var aTextFile: TextFile; aImage : String);
begin
  Writeln(aTextFile,'<FONT SIZE=2><P><IMG SRC="file:///'+aImage +'" WIDTH=100% HEIGHT=100></P></FONT></BODY>');
end;

procedure HtmLabel(Var aTextFile: TextFile; aLabel : String);
begin
  Writeln(aTextFile,'<FONT><FONT FACE="Arial" SIZE=1><P>'+aLabel+ '</P></FONT>');
end;

procedure HtmLabelVet(Var aTextFile: TextFile; aLabel : String);
begin
  Writeln(aTextFile,'<FONT><FONT FACE="Arial" SIZE=2><B><P>'+aLabel+ '</B></P></FONT>');
end;

procedure HtmLabelXL(Var aTextFile: TextFile; aLabel : String);
begin
  Writeln(aTextFile,'<FONT><FONT FACE="Arial" SIZE=3><B><P>'+aLabel+ '</B></P></FONT>');
end;

procedure HtmTabel(Var aTextFile: TextFile);
begin
  Writeln(aTextFile,'<TABLE CELLSPACING=1 BORDER=1 CELLPADDING=1 WIDTH= 100%');
end;

procedure HtmTabelKopTextPlusImage(Var aTextFile: TextFile;
                                   aLabel : String;
                                   aImage : String);
begin
  Writeln(aTextFile,'<td VALIGN=TOP><b><font face="Arial"><font size=-2>'+
          aLabel+'</font></font></b><br><img SRC="'+aImage+
          '" height=90 width=45></td>');
end;

procedure HtmTabelKopText(Var aTextFile: TextFile; aText : String);
begin
  if Trim(aText) = '' then
    aText := '&nbsp;';
  Writeln(aTextFile,'<TD VALIGN="TOP"><FONT><FONT FACE="Arial" SIZE=1><B><P>' +aText + '</B></P></FONT></TD>');
end;

procedure HtmTabelKopTextVet(Var aTextFile: TextFile; aText : String);
begin
  if Trim(aText) = '' then
    aText := '&nbsp;';
  Writeln(aTextFile,'<TD VALIGN="TOP"><FONT><FONT FACE="Arial" SIZE=2><B><P>' +aText + '</B></P></FONT></TD>');
end;

procedure HtmTabelKopTextR(Var aTextFile: TextFile; aText : String);
begin
  if Trim(aText) = '' then
    aText := '&nbsp;';
  Writeln(aTextFile,'<TD VALIGN="TOP"><FONT><FONT FACE="Arial" SIZE=1><B><P ALIGN="RIGHT">' +aText + '</B></P></FONT></TD>');
end;

procedure HtmTabelKopTextVetR(Var aTextFile: TextFile; aText : String);
begin
  if Trim(aText) = '' then
    aText := '&nbsp;';
  Writeln(aTextFile,'<TD VALIGN="TOP"><FONT><FONT FACE="Arial" SIZE=2><B><P ALIGN="RIGHT">' +aText + '</B></P></FONT></TD>');
end;

procedure HtmTabelText(Var aTextFile: TextFile; aText : String);
begin
  if Trim(aText) = '' then
    aText := '&nbsp;';
  Writeln(aTextFile,'<TD VALIGN="TOP"><FONT><FONT FACE="Arial" SIZE=1><P>' +aText + '</P></FONT></TD>')
end;

procedure HtmTabelTextVet(Var aTextFile: TextFile; aText : String);
begin
  if Trim(aText) = '' then
    aText := '&nbsp;';
  Writeln(aTextFile,'<TD VALIGN="TOP"><FONT><FONT FACE="Arial" SIZE=1><B><P>' +aText + '</B></P></FONT></TD>')
end;

procedure HtmTabelTextN(Var aTextFile: TextFile);
begin
  Writeln(aTextFile,'<TD VALIGN="TOP"><FONT><FONT FACE="Arial" SIZE=1><P></P></FONT></TD>')
end;

procedure HtmTabelTextR(Var aTextFile: TextFile; aText : String);
begin
  if Trim(aText) = '' then
    aText := '&nbsp;';
  Writeln(aTextFile,'<TD VALIGN="TOP"><FONT><FONT FACE="Arial" SIZE=1><P ALIGN="RIGHT">' +aText + '</P></FONT></TD>');
end;

procedure HtmTabelTextRV(Var aTextFile: TextFile; aText : String);
begin
  if Trim(aText) = '' then
    aText := '&nbsp;';
  Writeln(aTextFile,'<TD VALIGN="TOP"><FONT><FONT FACE="Arial" SIZE=1><B><P ALIGN="RIGHT">' +aText + '</P></B></FONT></TD>');
end;


procedure HtmEindeTabel(Var aTextFile: TextFile);
begin
  Writeln(aTextFile,'</TABLE>');
end;

procedure HtmLijn(Var aTextFile: TextFile);
begin
  Writeln(aTextFile,'<P ALIGN="CENTER"><HR></P>');
end;

procedure HtmLegeRegel(Var aTextFile: TextFile);
begin
  Writeln(aTextFile,'<P></P>');
end;

procedure HtmTabelKopTextA(Var aTextFile: TextFile; aText : String);
begin
  Writeln(aTextFile,'<TD VALIGN="TOP" BGCOLOR="#0000FF"><FONT><FONT FACE="Arial" SIZE=1><B><P>' +aText + '</B></P></FONT></TD>');
end;

procedure HtmTabelZ(Var aTextFile: TextFile);
begin
  { zonder opmaak}
  Writeln(aTextFile,'<TABLE CELLSPACING=0 BORDER=0 CELLPADDING=1 WIDTH= 100%');
end;

end.
